WinNTSetup 5.4.1

- added missing LANG folder
- bootice language files prefer MUI names
- disabled multicore apply for x86 version.
- removed system menu integration


WinNTSetup 5.4

- support for Windows 24H2 and Server 2025
- added arm64 and x86 versions
- language files prefer MUI names
- support for RTL languages
- use only one DISM session
- fixed Windows 7 ESP drive mounting
- updated Windows 7 USB3 drivers instructions
- new disable defender tweak includes Windows Malicious Software Removal Tool


WinNTSetup 5.3.5.2

- fixed crash with no source selection
- removed policy for HiberbootEnabled


WinNTSetup 5.3.5.1

- fixed language file creation failed with 5.3.5
- fixed capture of mounted VMware disks
- added support for multi language WIM files


WinNTSetup 5.3.5

- removed redudant code, WimHost options removed
- updated wimlib to version 1.14.4
- enforce modded wimlib
- HideProductKeys option defaults to 1
- minwim crash fixed
- minwim speed improved
- minwim extended log files
- fixed WinRE GUI bugs
- fixed crash installing WinXP


WinNTSetup 5.3.4

- fixed problems starting as TrustedInstaller on some machines
- fixed rare heap corruption
- fixed CompactOS was ignored for Windows Server versions
- Removed offreg.dll (will be downloaded for older Windows)
- MinWin uses build number from registry rather than WIM
- MinWin removed hard coded pathes
- MinWin WinSxS.ini - can use "!" to avoid old components removal
- MinWin WinSxS.ini can be deleted
- MinWin fixed wincopy mode bug


WinNTSetup 5.3.3

- fixed wim capture regressions
- fixed trusted installer could not access temporary drive letters
- automatically switch to wimlib, for non solid ESD (fix wimgapi crash)
- wincopy commandline volume mode can use filemode as fallback
- vhd drives can be saved and loaded from ini file


WinNTSetup 5.3.2

- native ARM64 code for WIM apply and capture
- WIM apply and capture will be executed as "trusted installer"
- WIM capture UI adds compression level, defaults to wimlib's LZX Fast
- wimlib wimboot apply - changed overlay type to WIM_BOOT_OS_WIM
- wimlib capture WIM - deletes incomplete WIM after operation cancel
- wimlib smooth progress bar for appending operation
- using customized wimlib.dll (do not update!)
- automatically switch to wimlib, if wimgapi can not load WIM file
- fixed cancel setup was ignored during DISM operations
- fixed WinCopy Volume mode problems
- fixed some issues with ARM64 sources
- added advanced VHD creation options
- respect NTFS indexing option on target partition
- no longer downloads ADK files on Win10/11 Host


WinNTSetup 5.3.1

- updated wimlib to version 1.14 (faster wim capture)
- fixed GUI capture may ignores WimScript.ini
- fixed wimlib LZMS capture did not used solid compression
- fixed auto format option should disable free space warning
- fixed wincopy/wimcapture could not be canceled during VSS creation
- fixed Win7-11-Select.xml required all fields to be set
- added some support for MinWin with ARM64 sources
- added commandline switch: -NoTweaks
- much faster wincopy (wimlib mode)
- changed wimboot/compact mode don't use exclusion for GPT formated disk


WinNTSetup 5.3

- compiler updated to PureBasic 6.00 C-Backend
- updated wimlib to version 1.13.6
- right-click on apply mode combo opens Tools\Compact\WimBootCompress.ini
- fixed errors with native 4K drives
- fixed VSS error not displayed
- fixed Bootice Mod always starts in darkmode
- fixed capture problem with OneDrive On-Demand files
- fixed error message on FormatEx failures
- fixed inaccessible devices were listed in drive combo boxes
- fixed offline windows scan may not detect Windows 10/11 builds correctly
- fixed internal VHD boot files option may create duplicate BCD entries
- fixed auto format may not work if drive is in use
- fixed loading ISO with relative path may create duplicates in source combo box
- added commandline switch for VHD-CREATE -uuid:{UUID} (simular to VBoxManage internalcommands sethduuid)
- added WinCopy option (copy Windows from one partition to another)
- added WinCopy and WinCopy-CLI command line
- added ReFS support for Windows 11 23H2
- added combobox script selection to diskpart window
- added -diskpart command line switch to bring up diskpart window
- added WIM_MSG_ERROR and WIMLIB_PROGRESS_MSG_HANDLE_ERROR Messagebox choice
- added Remove OneDrive tweak
- added DISM feature enable/disable and APPX removal
- added possability to disable SFX detection with file: "nosfx" next to WinNTSetup_x64.exe
- new right-click on tweaks button to quickly disable all tweaks
- changed wimlib is the default compression engine
- changed Unattend: Win7-11-Select.xml disables 42 days password expire
- changed rearrage folder layout
- MinWin: support inline comments (//)
- MinWin: grant full admin access to files
- MinWin: fixed VCRuntime 2008 installer needs sxsstore.dll and config\TxR
- MinWin: fixed diskpart shrink needs defragproxy.dll
- RegImport: added support for [?HKEY_LOCAL_MACHINE\...] (only processed if key exists)
- workaround windows 7 Dism /add-driver bug 30 (AMD, NVIDIA drivers with LZSS compression)
- workaround EFI NTFS driver bug


WinNTSetup 5.2.6

- fixed Feeds did not got disabled on Windows 10
- added log files wimgapi_error.log and wimlib_error.log
- added VHD-DIFF option
- added commandline option VHD-DIFF -file:{file} -parent:{file}
- added commandline switch for VHD-CREATE -mbresp
- added commandline switch for VHD-CREATE -vhdbootletter:{0|1}
- added commandline switch for NT6 -vhdbootfiles:{0|1}
- new commandline switch -syspart and -tempdrive support VHD(X) files
- workaround: added AMD's Shadercache to wimscript exclusion (buggy SecurityDescriptors)


WinNTSetup 5.2.5

- updated ADK tools to version 22621.1
- disables DumpStack.log.tmp file creation
- disables network requirement for Windopws 11 (disconnected devices only)
- Logs are saved in \Windows\Log\WinNTSetup\%Date%_%Time%
- added NVRAM log
- added NVRAM tool: WinNTSetup_x64 NVRAM
- added CatRoot trimm tool: WinNTSetup_x64 CATTrim


WinNTSetup 5.2.4

- fixed Regimport did not support multi line binary data with inline comments
- MinWin: added support for Unicode / UTF-8 text files
- MinWin: added support for subfolders
- MinWin: text files can have condition on first line to enable/disable the entire file


WinNTSetup 5.2.3

- MinWin: added AntiLog, Services and Tasks removable ini files


WinNTSetup 5.2.2

- fixed some SATA 2 USB adapters were not detected as USB devices
- MinWin: added line condition FBLANG
- MinWin: added support for multiple fallback languages


WinNTSetup 5.2.1

- fixed NT5 GUI bugs
- fixed MBR not written for VHD files (regression 5.2)
- fixed error popup with old card reader devices
- fixed regimport ignored HKEY_CLASSES_ROOT
- fixed noapply mode on NT6 could show NT5 builds
- fixed DriveComboExclude not working on subsequent scans
- fixed ini save load of driver options
- increased border margins for darkmode toolips


WinNTSetup 5.2.0

- fixed capture-cli did not reset console title
- fixed console tools stdout could not be redirected
- fixed disk name could show trailing spaces
- fixed %errorlevel% not set in some cases
- fixed apply error and silent command line option did not exist WinNTSetup
- fixed free drive letter scan with buggy VMware mountpoints
- changed local windows listview uses VHD/VHDX icon
- changed WimBoot or CompactOS apply now uses wimlib as default
- changed Win7-11-Select.xml will be igored if not all fields are filled
- added SecureBoot detection on Windows 7 Host
- added MinWin Mode (click on Mode)
- added ini option DriveComboExclude simular to BootMountExclude
- improved add other OS function


WinNTSetup 5.1.2

- fixed ini loading bug
- fixed wofcompress may scan path twice
- fixed drive combo shows VHD icon for VHDX disks
- support empty command line to override ini file (-drivers:, -unattend:)
- Darkmode improvements
- updated VHD/VHDX icons


WinNTSetup 5.1.0

- fixed global disabling of combobox animation
- fixed vertical alignment of edit controls
- fixed now using rounded button in Win11 Darkmode
- fixed vhd-create commandline option only accepts - not /
- fixed combo could add empty strings and accepts them as valid input
- removed subframe from Darkmode Messagebox in Win11
- added format option to ini and GUI (right click on F button)
- added /help command line option
- added option 'VHD creation, FAT32 Part' boot file creation
- added option 'VHD creation, FAT32 Part' select as boot drive
- added option 'VHD creation, FAT32 Part' assign drive letter
- updated BootICE Darkmode


WinNTSetup 5.0.3

- run ScanFiles.cmd if exist
- Mica titlebar is default again on Win11 Dark Mode
- fixed right-click on unattend label not open editor
- fixed iso source mru selection problems
- fixed wimboot:wimcopy exitcode not set


WinNTSetup 5.0.2

- added command line -fat32:n
- drivers and regtweak combo display relative paths
- offline windows detection correctly identifys Windows 11


WinNTSetup 5.0.1

- Win11: disabled buggy Mica effect
- Win11: use new font only, if system font is Segoe UI
- fixed scaling with higer system fonts
- fixed combobox flyout high for high dpi systems
- fixed wrong log line
- ini load/save dialogs remember last selection



WinNTSetup 5.0

- mounting boot partition is disabled by default
- combobox list to select boot and installation drive
- MRU feature for most inputs
- mounted ISO in VHD menu will stay alive
- mounted ISO sources will be save with ISO names to ini
- regimport supports HKEY_CURRENT_USER\Software\Classes (UsrClass.dat)
- regimport will effect all existing user profiles
- separate disable Windows Defender tweak (-nodefender command line)
- fixed WinRE could not display PNG compressed icons
- new gui font on Windows 11
- uses Mica on Windows 11
- ini option nodownload added
- command line source accepts wildcard
- new dikspart GUI with selectable disk and warn dialog



WinNTSetup 4.6.3

- "Disable the new taskbar icons of windows 10" tweak removes the new "Feeds"
- fixed crash with differencing VHD
- fixed vhd icon right click
- vhd icon tooltip shows VHD chain



WinNTSetup 4.6.2

- fixed a crash on Windows 7 with MSDM key in BIOS/UEFI
- WinRE driver integration uses fallback \Recovery\WindowsRE\WinRe.wim
- WinRE option for Windows 7 USB 3 driver integration
- CAPTURE command line did not respect "-min" switch
- CAPTURE command line may not set taskbar progress to indeterminate while scanning
- some fixes for custom WinPE


WinNTSetup 4.6.1

- fixed wofcompress process did not start
- new driver mode option to integrate into WinRE
- driver mode option saved to ini
- wimlib capture appends date time in case to avoid duplicate image name
- ini option WimCaptureAddTimeStamp added



WinNTSetup 4.6.0

- fixed vhd detection regression
- fixed dism dowload was missing logprovider.dll
- fixed possible freeze caused by PathCompactPath
- fixed possible freeze with "-noapply" mode
- fixed some High DPI issues
- fixed commandline iso attach did not return errorlevel for driveletter
- dismount of vhd with hidden bootpart will force remove all it's drive letters
- driver integration now uses dismapi, trys to avoid adding drivers of different architecture
- driver export now sorts by driver class
- move Tools\WimBootCompress.ini to Tools\Compact\
- logging content of internal VHD BCD store
- added Win7USB3 driver integration / post install fix option (see Tools\Win7USB3\ReadMe.txt)
- added wofcompress option
- added remove autocheck option


WinNTSetup 4.5.1

- VHD GUI will be saved to ini
- ini option BootMountExclude supports DiskID
- fixes listview font on non darkmode


WinNTSetup 4.5.0

- Dropped 32-Bit version, system requirements are now Windows 7x64 +
- VHD functions no longer uses diskpart.exe
- VHD Attach / Detach supports ISO files
- VHD Creation supports GPT Partitionsttyle
- VHD Install will always create internal boot files depending on partition style
- new default VHD creation type MBR - BIOS/UEFI
- added VHD command line options /gpt and /mbr
- fixed instant VHD creation cylinder bug
- fixed iso mount does not select install.swm
- Fixed open file dialog pattern not working on default WinPE 3.x +
- Fixed wimgapi capture build number on H2 Systems (19041 instead 19042)
- Support multiple "-regtweaks" cmdline switches
- Workaround Win10 MessageBox Font bug
- added ini option [vhd] bootpartsize
- new ini option "RemoveBootMountsOnExit"
- ini option BootMountExclude supports Vendor name
- rewrote all file and registry recursion functions to use iteration
- command line VHD creation uses expandable by default
- command line VHD ignores disk size for expandable type
- removed NT5 uxtheme patch
- DPI-Awareness for Imdisk
- Darkmode and DPI-Awareness for Bootice
- ARM64 password reset
- fixed ARM64 uxtheme patch


WinNTSetup 4.2.5

- added ini option NoHiberBoot
- added ini option KeepISOAlive

! Microsoft removed Assessment and Deployment Kit 8.0 from their servers

If you still have these files and want to run WinNTSetup on XP/Vista overwrite the following:

Tools\x??\bcdboot.exe
Tools\x??\bcdedit.exe
Tools\x??\bootsect.exe
Tools\x??\wimgapi.old


WinNTSetup 4.2.4

- Driverstore WOF exclude added to WimBootReCompress.ini
- added MergeIDE tweak
- added ini option NoFileSystemChecks


WinNTSetup 4.2.3

- fixed Vista images could be applied in compact/wimboot mode
- fixed compact:xpress4k using 8k compression with newer wimgapi.dll
- fixed some command line ini option combinations
- fixed vmware mounted drives disappear on winntsetup exit
- new cmdline option regtweaks support wildcard file pattern
- new scan offlines services to exclude Driverstore *.sys files from WOF Compression


WinNTSetup 4.2.1

- Tools\WimBootCompress.ini by default for all builds
- fixed some command line option not work with ini file
- fixed ESD apply with newer wimgapi.dll


WinNTSetup 4.2

- no longer needs Tools\DarkMode.msstyles
- disabled multicore feature on 32bit Host by default
- fixed hotfix uninstall on Windows 7 Host
- fixed WIMBOOT:WIMCOPY mode on Windows 10 2004 Host
- cmdline -noapply does not need a sources defined anymore
- fixed NT5 install did not overwrite existing txtsetup.sif
- cmdline VHD-CREATE and VHD-ATTACH return errorlevel for driveletter
- updated wimlib to v1.13.3 Beta1


WinNTSetup 4.1

- improved Dark Theme (less flickering)
- F1 Help text does support URL's,  now have fixed TAB width
- minor bug fixes


WinNTSetup 4.0.1

- Added Dark Theme support
- Added multicore appling of WIM
- Added wimlib 1.13.1
- Added bottice 1.3.3.2
- Added Disable Reserved Storage tweak
- Added WIM Capture option
- Added apply mode Wimboot:WIMCOPY
- Added Hotfix uninstall option
- Added Driver Export/Import option
- Added LegacyBootMenu checkbox
- Added exclude section to Tools\Win10Builds.ini
- fixed wimlib apply alters WimBootCompress.ini
- Fixed Hotfix Uninstall on light mode theme
- Boot code UEFI will be selected as default in case of EFI system partition
- WOF decompression of \Bootmgr, \EFI\boot\boot*.efi, \EFI\MICROSOFT\BOOT\BOOTMGFW.EFI
- WOF decompression of \Boot\BCD, \EFI\microsoft\boot\BCD
- Does not delete MountedDevices key for non sysprep images
- Allow creation of expandable VHD with any size
- Non fitting expandable VHDs will stop from auto expanding on boot
- Workaround wimgapi "PrepopulateList" bug



WinNTSetup 3.9.4

- GUI fixes
- fixes for Windows 10 1903
- fixed UxTheme patcher for some Win8.0 and Win10 20H1
- improved OEM detection for WinXP
- fixed tweaks did not work for Win2000
- fixed password reset did not work for Win2000



WinNTSetup 3.9.3.1

- improved for High DPI
- hiding Preinstall Editions
- new ini option "DefaultSKU"
- bug fixes
- compact mode NONE
- fixes for Win7 compactOS
- bug fixes
- UUP supported under WinXP



WinNTSetup 3.8.9

- fixed under WinXP Wim could not be applied
- Win10 taskbar tweak now also disables contacts
- UUP auto detection
- UUP direct *.cab support
- downloads old wimgapi.dll 15063
- WinNTSetup_x86 bug fixes
- WinXP related fixes
- fixed unsigned driver option
- cabinet.dll optional



WinNTSetup 3.8.8

- minor fixes for Windows 10 Creators Update
- optimized reg import
- fixed a bug in offline password reset
- uxtheme patch for all windows versions
- support for splitted esd files
- applying extended attributes (WIMGAPI only)



WinNTSetup 3.8.7.4

- updated ini file
- removed Minhook
- fixed appcrash
- $OEM$ copy ignores NTFS permissons
- fixed IATHook did not work with Win10 wimgapi.dll
- changed tooltip used default system time
- added imdisk on the fly driver install for Windows 7 and earlier
- customize Win7 USB Boot with Tools\Win7USBBoot.ini
- fixed iso mount for esd and multi arch ISOs
- new ini option Lang=xxxx



WinNTSetup 3.8.6

- fix boot partition mounted as A: or B: wasn't recognized
- fixed Windows 10 installing from Windows XP host
- minor improvements
- fixed wimgapi loading bug running on windows 8.x
- added GUI option for compact mode
- downloads WofAdk and makes volatile driver install
- offline windows tools will attach WofAdk
- adding WofAdk driver to new installations, if compact or wimboot made is set
- using exclusion filter to enable wimboot/compact mode for all Win7 sources and later
- fixed esd files could not be applied in compact mode
- support compact mode with wimlib v.1.8.2
- win10 with XPREES4K compact mode does not use additional compression exclusions
- resized tweaks window
- fixed bug in commandline options
- fixed command line oem switch did not support relative pathes
- default folder for file and folder browse dialogs can be defined in the ini file
- fixed download command line option did not end WinNTSetup
- accept WIM files that lacks XML information
- improvements for Windows 10 TH2
- added commandline option timeout:n, to set the boot menu timeout



Version 3.8.0

- fix VHD checks for windows 8 Core edition
- fix dpi issues
- fix reg import of empty values
- fix win 10 bcd error
- fix VHD GUI
- fix user creation
- fix gui issues
- fix vhd creation may trigger format dialog
- XP/Vista will try to load Tools\x??\wingapi.old if exists
- added support for new WofADK driver
- post processing PrepopulateList
- support for METADATA_ONLY Wimfiles
- downloads ADK 10 RC wimgapi.dll
- support for custom.wim wimboot images
- new command line option -ref:{reference.wim}
- new command line option -wbc:{custom_wimbootcompressed.ini}
- new command line option -compact
- reattach Wof(ADK) after bootsect volume dismount
- commandline option setup now respects ini file settings
- workaround win10 bug, disable UAC only works correct on unattend setups
- disable defender on windows 10 build 10xxx via group policy



Version 3.7.5

- Windows Threshold compatibility
- fixed wimboot check
- disabled diskcopy.dll fix for Windows 10 (no longer needed)
- removed freespace check for Wimboot installations
- added BCDBoot option NONE, to ignore BCD entirely
- added command line option -noreg, to not touch registry at all
- fixed splited wim (swm) files could cause app crash
- changed handling of wimboot and encrypted esd files
- workaround for bcdedit bug
- replaced deprecated GetVersionEx() with RTLGetVersion()
- wimlib 1.7.4 or later can be used
- some still hard coded string are now possible translate
- fixed regimport not working in certain cases
- fixed driver integration problems
- fixed taskbar tweaks for newer Win10 builds
- nolonger uses lying WinAPI IsProcessorFeaturePresent
- prevent driver inetegration to win8.1 from Vista or older host system
- driver integration recommands latest ADK DISM in Tools\x??\DISM *

* This is required if the OS to install is newer than the one currently running.
As a minimum the api-ms-win-downlevel*.dll are required




Version 3.6.5

- fixed regression XP sysprep offline registry error
- fixed About dialog DPI issues
- using Descrition XML node if Name and Displayname are not defined
- logging error code and hive path, if offline registry fails to load
- boot entry now contains (WIMBOOT) or (VHDX) if these option are used
- moved WinNTSetup_iso.cmd into Tools folder



Version 3.6.0

- new option to use wimlib 1.7.0 for all WIM operations*
- wrong error message for VHD checks
- fixed applying failed on to low system freespace
- fixed avoid wimboot uses on server type OS
- fixed applying to a folder if current working dir has the same root as install drive
- added -regtweaks:{path} commandline and gui option

*You have to add the wimlib dll files to "Tool\x??\wimlib" folder
and add "-wimlib" commandline parameter



Version 3.5.0

- added support for WimBoot
- fixed mounted ISO files on Windows 8 was not unmounted on exit
- fixed EditionID was not detected on self made  WIM files
- fixed missing English fallback on not translated strings
- added combo box to select bcdboot firmware option
- added new cmdline switch: -bcd:{ALL|BIOS|UEFI} to specific bcdboot firmware option



Version 3.4.0
 
- adding support for XP/2003 WIM files
- fixed problems with Final OnePiece XP Update packs
- EFI Boot files are now only created on EFI partitions
- UAC tweak disables now also defender



Version 3.3.0

- fixed sfc disable patch did not delete *.cat in dllcache folder
- removed dll dependencies: imagehlp, netapi32, psapi
- removed all deprecated win32 API's
- fixed xp user creation, when setup an x64 OS from WinNTSetup_x86.exe
- accepts bootice???.exe names in Tools folder and appdir
- fixed swm files where detected by extention instead of attributes
- fixed updating bootsector could use wrong tool



Version 3.2.1

- reduce ADK download size by 600KB
- new download command line option to download ADK silently
- added links to about gui
- removed bootice from tools



Version 3.2.0

- fixed problem with "subst" drives
- fixed drive label still not displayed on some systems
- new support for esd files
- command line accept relative pathes
- on windows 8.1 system32 wimgapi.dll will be preferred
- admin check now token based
- updated offreg library to latest version



Version 3.1.0

- fixed splited wim (swm) files could not be applied
- using vista style folder browse dialogs if available
- new runafter program selection on Ready GUI
- fixed existing cmdlines.txt became corrupted
- minor bugfixes
- new hotkey: Shift+F10 to bring up Command Prompt 
- fixed Disable Hibernate tweak does not work on Windows 8.x
- mount system drive check box is gone
- tweaks that are not compatible with the OS to install are now hidden
- new cmdline option to load a language, ex.: -lng:1234 will load the file Lang\1234.dll



Version 3.0.0

- complete new written in a more suited language
- new offline windows and office key viewer
- new offline password reset
- new VHDX support
